## ossp-uuid 1.6.2

=== debian/changelog ===
ossp-uuid (1.6.2-1.3ubuntu1) trusty; urgency=low

  * debian/rules: Build with dh_autoreconf for new libtool, but run aclocal
    first to convince autoreconf that our aclocal is normal.
  * debian/patches/autoreconf-ify.patch: Fix autotoolery to cope with
    autoreconf. Move aclocal.m4 to acincludes.m4 so we can use aclocal for
    libtool, and stop including the local copy of libtool.m4.

 -- William Grant <wgrant@ubuntu.com>  Sun, 15 Dec 2013 15:11:35 +1100

ossp-uuid (1.6.2-1.3build1) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 12:42:01 +0100

ossp-uuid (1.6.2-1.3) unstable; urgency=high

  * Non-maintainer upload
  * Drop dependency on php5-dev an php5-cli to make transition tracker
    less confused

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Mar 2012 15:31:01 +0100

ossp-uuid (1.6.2-1.2) unstable; urgency=high

  * Disable building of php5-uuid until it's fixed in upstream
    (Closes: #656482)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 14 Mar 2012 09:11:50 +0100

ossp-uuid (1.6.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * 0004-fix-data-uuid-from-string.patch: Support dash-less args to
    from_string in uuid_compat.pm. (Closes: #635607)

 -- Tim Retout <diocles@debian.org>  Tue, 26 Jul 2011 12:09:04 +0100

ossp-uuid (1.6.2-1) unstable; urgency=low

  * New upstream release. (Closes: #452780)
  * Remove Fix-compatibility-with-Data-UUID.patch (fixed upstream)
  * Refresh Change-library-name.patch
  * Delete uuid-config.1 in clean target because it's a generated file.
  * Fix the invocation of the php test to work with PHP version 5.3.
    (Closes: #569456)
  * Change section of php5-uuid from interpreters to php to match override

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 12 Feb 2010 10:47:30 +0100

ossp-uuid (1.5.1-2) unstable; urgency=low

  * New maintainer.
  * Acknowledge NMUs.
  * Switch to source format "3.0 (quilt)"
  * Migrate build system to debhelper 7 (Closes: #466829)
  * Add patch to improve compatibility with Data::UUID (Closes: #480451)
  * Automatically update config.{sub,guess} (Closes: #543290)
  * Improve short description for uuid package (Closes: #493416)
  * In uuid command-line tool don't ignore -m option if followed by -v1
    (Closes: #531396)
  * Bump Standards-Version. No change required
  * Change comment style in uuid.ini as required by PHP version 5.3
  * Fix whatis entry of uuid.1, uuid.3ossp and uuid++.3ossp manpages

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 02 Feb 2010 15:30:38 +0100

ossp-uuid (1.5.1-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Urgency set to high, because this fixes a RC bug.
  * Add debian/copyright. (Closes: #540511)
  * debian/control:
    - Use ${binary:Version} (found by Lintian).
    - Bump Standards-Version (found by Lintian).
  * Use up-to-date config.{sub,guess} files (found by Lintian).

 -- Kai Wasserbäch <debian@carbon-project.org>  Sat, 23 Jan 2010 16:36:24 +0100

ossp-uuid (1.5.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Drop php4-uuid, since php4 is obsolete and scheduled for removal from
    testing.  Closes: #418310.
  * Fix the invocation of the php test to load uuid.so via a commandline 
    config directive, since we can't trust that the php5-cli package
    supports dl().

 -- Steve Langasek <vorlon@debian.org>  Sun, 21 Oct 2007 13:08:30 -0700

ossp-uuid (1.5.1-1) unstable; urgency=low

  * New upstream release.
    - No binary files in upstream. Closes: #381579.
    - uuid -d works for amd64. Closes: #381533.
  * PHP packages use conf.d configuration schema.
  * Fix Data::UUID::to_b64string returned value ends with a "\n".
    Closes: #399357.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 20 Nov 2006 17:15:47 +0100

ossp-uuid (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Recompiled for new php5. Closes: #347185.
  * The dependencies on php are generated with debian/substvars.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 12 Jan 2006 11:40:03 +0100

ossp-uuid (1.3.1-1) unstable; urgency=low

  * New upstream release.
    - New soname.
    - Provides also C++ library.
    - Provides new packages with PHP4 and PHP5 extension modules.
  * Fix section fields.
  * Perl Data::UUID backward compatibility API is applied by upstream.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 31 Aug 2005 12:52:04 +0200

ossp-uuid (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Removed 002-man_uuid-config_fix_section.patch:
    - Applied to the upstream.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 31 Aug 2005 10:32:44 +0200

ossp-uuid (1.2.0-2) unstable; urgency=medium

  * New package: uuid. Closes: #303101.
  * Fix some typos: Closes: #300019, #300059, #300075.

 -- Piotr Roszatycki <dexter@debian.org>  Wed,  6 Apr 2005 11:05:13 +0200

ossp-uuid (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bump shver to 12.
  * Fix typo "--without-dce".
  * Update 001-ossp-uuid_library_name.patch

 -- Piotr Roszatycki <dexter@debian.org>  Sun, 13 Mar 2005 19:57:37 +0100

ossp-uuid (1.1.1-1) unstable; urgency=low

  * Initial Debian version. Closes: #283493.

 -- Piotr Roszatycki <dexter@debian.org>  Thu,  2 Dec 2004 14:51:37 +0100
