=== debian/control ===
Source: ossp-uuid
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco Nenciarini <mnencia@debian.org>
Section: libs
Priority: optional
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, libtool, perl (>= 5.8), chrpath
Homepage: http://www.ossp.org/pkg/lib/uuid/
Vcs-Git: git://git.debian.org/git/collab-maint/ossp-uuid.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ossp-uuid.git

Package: libossp-uuid16
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: uuid
Description: OSSP uuid ISO-C and C++ - shared library
 OSSP uuid is an ISO-C and Perl application programming interface (API)
 and corresponding command line interface (CLI) for the generation of
 DCE 1.1 and ISO/IEC 11578:1996 compliant Universally Unique Identifier
 (UUID). It supports DCE 1.1 variant UUIDs of version 1 (time and node
 based), version 3 (name based) and version 4 (random number based).
 .
 UUIDs are 128 bit numbers which are intended to have a high likelihood
 of uniqueness over space and time and are computationally difficult
 to guess. They are globally unique identifiers which can be locally
 generated without contacting a global registration authority. UUIDs
 are intended as unique identifiers for both mass tagging objects
 with an extremely short lifetime and to reliably identifying very
 persistent objects across a network.
 .
 This package contains the shared library.

Package: libossp-uuid-dev
Architecture: any
Section: libdevel
Depends: libossp-uuid16 (= ${binary:Version}), ${misc:Depends}
Description: OSSP uuid ISO-C and C++ - headers and static libraries
 OSSP uuid is an ISO-C and Perl application programming interface (API)
 and corresponding command line interface (CLI) for the generation of
 DCE 1.1 and ISO/IEC 11578:1996 compliant Universally Unique Identifier
 (UUID). It supports DCE 1.1 variant UUIDs of version 1 (time and node
 based), version 3 (name based) and version 4 (random number based).
 .
 UUIDs are 128 bit numbers which are intended to have a high likelihood
 of uniqueness over space and time and are computationally difficult
 to guess. They are globally unique identifiers which can be locally
 generated without contacting a global registration authority. UUIDs
 are intended as unique identifiers for both mass tagging objects
 with an extremely short lifetime and to reliably identifying very
 persistent objects across a network.
 .
 This package contains the development environment for the ossp-uuid library.

Package: uuid
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libossp-uuid11
Description: the Universally Unique Identifier Command-Line Tool
 OSSP uuid is an ISO-C and Perl application programming interface (API)
 and corresponding command line interface (CLI) for the generation of
 DCE 1.1 and ISO/IEC 11578:1996 compliant Universally Unique Identifier
 (UUID). It supports DCE 1.1 variant UUIDs of version 1 (time and node
 based), version 3 (name based) and version 4 (random number based).
 .
 UUIDs are 128 bit numbers which are intended to have a high likelihood
 of uniqueness over space and time and are computationally difficult
 to guess. They are globally unique identifiers which can be locally
 generated without contacting a global registration authority. UUIDs
 are intended as unique identifiers for both mass tagging objects
 with an extremely short lifetime and to reliably identifying very
 persistent objects across a network.
 .
 This package contains the Universally Unique Identifier Command-Line Tool.

Package: libossp-uuid-perl
Architecture: any
Section: perl
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Provides: libdata-uuid-perl
Conflicts: libdata-uuid-perl
Replaces: libdata-uuid-perl
Description: perl OSSP::UUID - OSSP uuid Perl Binding
 OSSP uuid is an ISO-C and Perl application programming interface (API)
 and corresponding command line interface (CLI) for the generation of
 DCE 1.1 and ISO/IEC 11578:1996 compliant Universally Unique Identifier
 (UUID). It supports DCE 1.1 variant UUIDs of version 1 (time and node
 based), version 3 (name based) and version 4 (random number based).
 .
 UUIDs are 128 bit numbers which are intended to have a high likelihood
 of uniqueness over space and time and are computationally difficult
 to guess. They are globally unique identifiers which can be locally
 generated without contacting a global registration authority. UUIDs
 are intended as unique identifiers for both mass tagging objects
 with an extremely short lifetime and to reliably identifying very
 persistent objects across a network.
 .
 OSSP::uuid provides two Perl APIs:
 .
 The OO-style API is a wrapper around the C-style API and intended for
 high-level and regular programming.
 .
 The C-style API is a direct mapping of the OSSP uuid ISO-C API to Perl and
 is intended for low-level programming.
 .
 The Debian package provides also Data::UUID interface so OSSP::uuid can be
 used as free replacement for non-DFSG Perl module.

#Package: php5-uuid
#Architecture: any
#Section: php
#Depends: ${shlibs:Depends}, ${php5-uuid:Depends}, ${misc:Depends}
#Description: OSSP uuid module for php5
# OSSP uuid is an ISO-C and Perl application programming interface (API)
# and corresponding command line interface (CLI) for the generation of
# DCE 1.1 and ISO/IEC 11578:1996 compliant Universally Unique Identifier
# (UUID). It supports DCE 1.1 variant UUIDs of version 1 (time and node
# based), version 3 (name based) and version 4 (random number based).
# .
# UUIDs are 128 bit numbers which are intended to have a high likelihood
# of uniqueness over space and time and are computationally difficult
# to guess. They are globally unique identifiers which can be locally
# generated without contacting a global registration authority. UUIDs
# are intended as unique identifiers for both mass tagging objects
# with an extremely short lifetime and to reliably identifying very
# persistent objects across a network.
# .
# This package provides a module for OSSP uuid functions support in PHP
# scripts.
