## ossp-uuid 1.6.3

=== debian/changelog ===
ossp-uuid (1.6.3-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.
    (Vcs-Git: https://salsa.debian.org/debian/ossp-uuid.git)

  [ наб ]
  * New maintainer (Closes: #1081555)
  * d/watch, d/u/signing-key.asc: update for new upstream
  * New upstream version 1.6.3 (+ NEWS & changelog)
    (Closes: #864530, #881000, #1041542, #757278)
  * Rebase patches (=> drop everything sans d/p/config-tools-arch-indep.diff,
                       and fix that to always print the multiarch path)
  * Kill remnants of php5-uuid (unbuilt since 1.6.2-1.2): removed upstream
    (Closes: #625836, #611489)
  * debhelper-compat: 7 -> 13
  * d/rules: update for 1.6.3
  * d/control: Perl Data::UUID is DFSG-free (Closes: #717430)
  * Install manual with d/*.manpages instead of d/*.install
  * Use d/p/0002-rename-manpages-to-section-3ossp-to-not-conflict-wit.patch
    to rename section 3 manuals instead
  * d/not-installed: add, ignore .la
  * d/rules: lintian debian-rules-sets-dpkg-architecture-variable
  * d/control: import new upstream short Description: from README
  * d/control: drop uuid Conflicts: libossp-uuid11, unneeded since sarge
  * d/copyright: new for new upstream (now in DEP5 format)
  * Add d/u/metadata
  * d/control: R-R-R: no
  * d/control: Standards-Version: 3.9.5 -> 4.7.0
  * dh_installdocs upstream README

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 11 Sep 2024 15:02:28 +0200

ossp-uuid (1.6.2-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump standard version to 3.9.5.
  * Mark the uuid binary package as Multi-Arch: foreign. Closes: #688941.
  * Link the shared libraries with depending libraries. Closes: #689142.
  * libossp-uuid-dev: Don't install the libossp-uuid.la file anymore.
  * Build using dpkg-buildflags.
  * Convert the library packages to Multi-Arch. Closes: #688943.
  * Link libraries with LDFLAGS.
  * Only run the tests for native builds.

  [ Paolo Schiro ]
  * libossp-uuid-perl: create_bin method missing in uuid_compat.pm.
    Closes: #734506.

  [ William Grant ]
  * debian/rules: Build with dh_autoreconf for new libtool, but run aclocal
    first to convince autoreconf that our aclocal is normal.
  * debian/patches/autoreconf-ify.patch: Fix autotoolery to cope with
    autoreconf. Move aclocal.m4 to acincludes.m4 so we can use aclocal for
    libtool, and stop including the local copy of libtool.m4.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Aug 2014 16:09:08 +0200

ossp-uuid (1.6.2-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't hardcode /usr/lib/perl5 in debian/rules. (Closes: #752803)

 -- Niko Tyni <ntyni@debian.org>  Wed, 16 Jul 2014 23:22:24 +0300
