## ossp-uuid 1.6.4

=== debian/changelog ===
ossp-uuid (1.6.4-1) unstable; urgency=medium

  * New upstream version 1.6.4 (+ changelog & NEWS)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 09 Dec 2024 17:44:31 +0100
