=== debian/control ===
Source: ossp-uuid
Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
Section: libs
Priority: optional
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Depends: debhelper, debhelper-compat (= 13), libtool-bin, libmd-dev, perl (>= 5.8), chrpath
Homepage: http://www.ossp.org/pkg/lib/uuid/
Vcs-Git: https://salsa.debian.org/debian/ossp-uuid.git
Vcs-Browser: https://salsa.debian.org/debian/ossp-uuid

Package: libossp-uuid16
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: uuid
Description: OSSP uuid ISO-C and C++ - shared library
 OSSP uuid is a C API and corresponding CLI program for the generation
 and analysis of DCE 1.1 and, IETF RFC-9562- compliant Universally Unique
 Identifiers (UUIDs). It supports variant 1 UUIDs of versions:
   1 (time and node),
   3 (name (namespace+data), MD5),
   4 (random),
   5 (name (namespace+data), SHA-1),
   6 (time and node with improved locality),
   7 (UNIX time, random data).
 Additional API bindings are provided for C++98 (deprecated) and Perl:5.
 Optional backward compatibility exists for the ISO-C DCE-1.1
 and Perl Data::UUID APIs.
 .
 UUIDs are 128 bit numbers which are intended to have a high likelihood
 of uniqueness over space and time and are computationally difficult
 to guess. They are globally unique identifiers which can be locally
 generated without contacting a global registration authority. UUIDs
 are intended as unique identifiers for both mass tagging objects
 with an extremely short lifetime and to reliably identifying very
 persistent objects across a network.
 .
 This package contains the shared library.

Package: libossp-uuid-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libossp-uuid16 (= ${binary:Version}), ${misc:Depends}
Description: OSSP uuid ISO-C and C++ - headers and static libraries
 OSSP uuid is a C API and corresponding CLI program for the generation
 and analysis of DCE 1.1 and, IETF RFC-9562- compliant Universally Unique
 Identifiers (UUIDs). It supports variant 1 UUIDs of versions:
   1 (time and node),
   3 (name (namespace+data), MD5),
   4 (random),
   5 (name (namespace+data), SHA-1),
   6 (time and node with improved locality),
   7 (UNIX time, random data).
 Additional API bindings are provided for C++98 (deprecated) and Perl:5.
 Optional backward compatibility exists for the ISO-C DCE-1.1
 and Perl Data::UUID APIs.
 .
 UUIDs are 128 bit numbers which are intended to have a high likelihood
 of uniqueness over space and time and are computationally difficult
 to guess. They are globally unique identifiers which can be locally
 generated without contacting a global registration authority. UUIDs
 are intended as unique identifiers for both mass tagging objects
 with an extremely short lifetime and to reliably identifying very
 persistent objects across a network.
 .
 This package contains the development environment for the ossp-uuid library.

Package: uuid
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Universally Unique Identifier Command-Line Tool
 OSSP uuid is a C API and corresponding CLI program for the generation
 and analysis of DCE 1.1 and, IETF RFC-9562- compliant Universally Unique
 Identifiers (UUIDs). It supports variant 1 UUIDs of versions:
   1 (time and node),
   3 (name (namespace+data), MD5),
   4 (random),
   5 (name (namespace+data), SHA-1),
   6 (time and node with improved locality),
   7 (UNIX time, random data).
 Additional API bindings are provided for C++98 (deprecated) and Perl:5.
 Optional backward compatibility exists for the ISO-C DCE-1.1
 and Perl Data::UUID APIs.
 .
 UUIDs are 128 bit numbers which are intended to have a high likelihood
 of uniqueness over space and time and are computationally difficult
 to guess. They are globally unique identifiers which can be locally
 generated without contacting a global registration authority. UUIDs
 are intended as unique identifiers for both mass tagging objects
 with an extremely short lifetime and to reliably identifying very
 persistent objects across a network.
 .
 This package contains the Universally Unique Identifier Command-Line Tool.

Package: libossp-uuid-perl
Architecture: any
Section: perl
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Provides: libdata-uuid-perl
Conflicts: libdata-uuid-perl
Replaces: libdata-uuid-perl
Description: perl OSSP::UUID - OSSP uuid Perl Binding
 OSSP uuid is a C API and corresponding CLI program for the generation
 and analysis of DCE 1.1 and, IETF RFC-9562- compliant Universally Unique
 Identifiers (UUIDs). It supports variant 1 UUIDs of versions:
   1 (time and node),
   3 (name (namespace+data), MD5),
   4 (random),
   5 (name (namespace+data), SHA-1),
   6 (time and node with improved locality),
   7 (UNIX time, random data).
 Additional API bindings are provided for C++98 (deprecated) and Perl:5.
 Optional backward compatibility exists for the ISO-C DCE-1.1
 and Perl Data::UUID APIs.
 .
 UUIDs are 128 bit numbers which are intended to have a high likelihood
 of uniqueness over space and time and are computationally difficult
 to guess. They are globally unique identifiers which can be locally
 generated without contacting a global registration authority. UUIDs
 are intended as unique identifiers for both mass tagging objects
 with an extremely short lifetime and to reliably identifying very
 persistent objects across a network.
 .
 OSSP::uuid provides two Perl APIs:
 .
 The OO-style API is a wrapper around the C-style API and intended for
 high-level and regular programming.
 .
 The C-style API is a direct mapping of the OSSP uuid ISO-C API to Perl and
 is intended for low-level programming.
 .
 The Debian package provides also Data::UUID interface so OSSP::uuid can be
 used as a replacement for the upstream Perl module.
