## ossp-uuid 1.6.5

=== debian/changelog ===
ossp-uuid (1.6.5-1) unstable; urgency=medium

  * d/control: Build-Depends: perl-xs-dev (Closes: #1102877)
  * d/control: belatedly update Homepage: for new upstream
  * New upstream version 1.6.5 (+ changelog & NEWS)
  * d/control: Standards-Version: 4.7.0 -> 4.7.2

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 26 Aug 2025 14:31:18 +0200
