=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
-Build-Depends: debhelper, debhelper-compat (= 13), libtool-bin, libmd-dev, perl (>= 5.8), chrpath
-Homepage: http://www.ossp.org/pkg/lib/uuid/
+Standards-Version: 4.7.2
+Build-Depends: debhelper, debhelper-compat (= 13), libtool-bin, libmd-dev, perl (>= 5.8), chrpath, perl-xs-dev
+Homepage: https://git.sr.ht/~nabijaczleweli/ossp-uuid
 Vcs-Git: https://salsa.debian.org/debian/ossp-uuid.git
 Vcs-Browser: https://salsa.debian.org/debian/ossp-uuid
