=== debian/watch ===
version=4
opts="pgpsigurlmangle=s:$:.asc:,uversionmangle=y/_/./" \
	https://git.sr.ht/~nabijaczleweli/ossp-uuid/refs .*/UUID_(\d[_\d]*)@ARCHIVE_EXT@
