## ossp-uuid 1.6.6

=== debian/changelog ===
ossp-uuid (1.6.6-1) unstable; urgency=medium

  [ наб ]
  * New upstream version 1.6.6 (+ changelog & NEWS)

  [ Helmut Grohne ]
  * Reduce unnecessary libtool-bin dependency to libtool. (Closes: #1122140)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 08 Dec 2025 19:04:22 +0100
